package sun.management;

import javax.management.MalformedObjectNameException;
import javax.management.ObjectName;
import java.util.List;
import java.lang.management.ManagementPermission;

public class Util
{
    private static final String[] EMPTY_STRING_ARRAY;
    private static ManagementPermission monitorPermission;
    private static ManagementPermission controlPermission;
    
    private Util() {
    }
    
    static RuntimeException newException(Exception cause) {
        throw new RuntimeException(cause);
    }
    
    static String[] toStringArray(List<String> list) {
        return (String[])list.toArray(Util.EMPTY_STRING_ARRAY);
    }
    
    public static ObjectName newObjectName(String str, String str2) {
        return newObjectName(str + ",name=" + str2);
    }
    
    public static ObjectName newObjectName(String name) {
        try {
            return ObjectName.getInstance(name);
        }
        catch (MalformedObjectNameException cause) {
            throw new IllegalArgumentException(cause);
        }
    }
    
    static void checkAccess(ManagementPermission perm) throws SecurityException {
        SecurityManager securityManager = System.getSecurityManager();
        if (securityManager != null) {
            securityManager.checkPermission(perm);
        }
    }
    
    static void checkMonitorAccess() throws SecurityException {
        checkAccess(Util.monitorPermission);
    }
    
    static void checkControlAccess() throws SecurityException {
        checkAccess(Util.controlPermission);
    }
    
    static {
        EMPTY_STRING_ARRAY = new String[0];
        Util.monitorPermission = new ManagementPermission("monitor");
        Util.controlPermission = new ManagementPermission("control");
    }
}
